summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Marco Cecchetti <mrc.ildp@gmail.com>2010-05-12 23:33:21 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:33:21 +0200
commit04b831eeaeac8a803e1a90ec84201255964b86ef (patch)
tree6ce4c293cc8e02071389a8b1528553794f0bd7b3
parent6f4c95667119ea9c55937d38b139974966360b0c (diff)
downloadslackbuilds-04b831eeaeac8a803e1a90ec84201255964b86ef.tar.gz
slackbuilds-04b831eeaeac8a803e1a90ec84201255964b86ef.tar.xz
system/bootchart: Added to 12.2 repository
-rw-r--r--system/bootchart/README17
-rw-r--r--system/bootchart/bootchart.SlackBuild66
-rw-r--r--system/bootchart/bootchart.info8
-rw-r--r--system/bootchart/doinst.sh15
-rw-r--r--system/bootchart/slack-desc19
5 files changed, 125 insertions, 0 deletions
diff --git a/system/bootchart/README b/system/bootchart/README
new file mode 100644
index 0000000000..a4b281b7ab
--- /dev/null
+++ b/system/bootchart/README
@@ -0,0 +1,17 @@
+Bootchart provides a shell script to be run by the kernel in the init phase.
+The script will run in background and collect process information, CPU
+statistics and disk usage statistics from the /proc file system.
+The performance data are stored in memory and are written to disk once the
+boot process completes.
+
+The boot log file is later processed using a Java application which builds
+the process tree and renders a performance chart in different formats (png,
+svg, eps).
+
+This requires apache-ant, and you need the jdk package from /extra installed.
+
+After installation, to run bootchartd append the following boot option:
+ init=/sbin/bootchartd
+You may want to edit your lilo configuration file. Also note that this will
+not work if run from a kernel using an initrd - you must use one of the
+huge* kernels (or a custom kernel).
diff --git a/system/bootchart/bootchart.SlackBuild b/system/bootchart/bootchart.SlackBuild
new file mode 100644
index 0000000000..e55632f12a
--- /dev/null
+++ b/system/bootchart/bootchart.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for bootchart
+
+# Written by Marco Cecchetti (mrc.ildp@gmail.com)
+
+# This is free software. It cames with no warranties.
+
+PRGNAM=bootchart
+VERSION=${VERSION:-0.9}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+ant || /opt/apache-ant/bin/ant
+
+mkdir -p $PKG/usr/share/java
+cp bootchart.jar $PKG/usr/share/java/bootchart.jar
+
+mkdir -p $PKG/usr/bin
+cat << EOF > $PKG/usr/bin/$PRGNAM
+#!/bin/sh
+PATH=$PATH:/usr/lib/java/bin
+exec java -jar /usr/share/java/bootchart.jar "\$@"
+EOF
+chmod 0755 $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/sbin
+install -m 0755 script/bootchartd $PKG/sbin/bootchartd
+
+mkdir -p $PKG/etc
+install -m 0644 script/bootchartd.conf $PKG/etc/bootchartd.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog COPYING INSTALL javadoc README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/system/bootchart/bootchart.info b/system/bootchart/bootchart.info
new file mode 100644
index 0000000000..fee4e47657
--- /dev/null
+++ b/system/bootchart/bootchart.info
@@ -0,0 +1,8 @@
+PRGNAM="bootchart"
+VERSION="0.9"
+HOMEPAGE="http://www.bootchart.org/"
+DOWNLOAD="http://downloads.sourceforge.net/bootchart/bootchart-0.9.tar.bz2"
+MD5SUM="4be91177d19069e21beeb106f2f77dff"
+MAINTAINER="Marco Cecchetti"
+EMAIL="mrc.ildp@gmail.com"
+APPROVED="rworkman"
diff --git a/system/bootchart/doinst.sh b/system/bootchart/doinst.sh
new file mode 100644
index 0000000000..35b6b02218
--- /dev/null
+++ b/system/bootchart/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/bootchartd.conf.new
+
diff --git a/system/bootchart/slack-desc b/system/bootchart/slack-desc
new file mode 100644
index 0000000000..7cbdb7fa4f
--- /dev/null
+++ b/system/bootchart/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+bootchart: Bootchart (Boot Process Performance Visualization)
+bootchart:
+bootchart: Bootchart is a tool for performance analysis and visualization of
+bootchart: the GNU/Linux boot process. Resource utilization and process info
+bootchart: are collected during the boot and later rendered in a PNG, SVG, or
+bootchart: EPS encoded chart.
+bootchart:
+bootchart: HomePage: http://www.bootchart.org/
+bootchart:
+bootchart:
+bootchart: